* {
  padding: 0px;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --mainColor: #131921;
  --mainColorLight: #5767aa;
  --secondaryColor: #db2b39;
  --textColor: #eee;
}

.header {
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #131921;
  position: sticky;
  top: 0;
  z-index: 100;
}

.Hresize {
  padding: 0 20%;
}

.header__logo {
  width: 100px;
  object-fit: contain;
  margin: 0 20px;
  margin-top: 18px;
}

.header__search {
  display: flex;
  flex: 1;
  align-items: center;
  border-radius: 24px;
}

.header__searchInput {
  height: 20px;
  padding: 15px;
  border: none;
  width: 100%;
  border-radius: 3px 0 0 3px;
}

.header__searchIcon {
  padding: 5px;
  height: 30px !important;
  width: 20px !important;
  background-color: #cd9042;
  border-radius: 0 3px 3px 0;
}

.header__optionLineOne {
  font-size: 12px;
}

.header__optionLineTwo {
  font-size: 15px;
  font-weight: 700;
}

.header__optionBasket {
  display: flex;
  align-items: center;
  color: white;
}

.header__basketCount {
  margin-left: 10px;
  margin-right: 10px;
}

.header__nav {
  display: flex;
  justify-content: space-evenly;
  height: 40px;
}

.header__option {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  color: white;
}

a:link {
  text-decoration: none;
  color: #fff;
}

a:visited {
  text-decoration: none;
  color: #fff;
}

a:active {
  text-decoration: none;
  color: #fff;
}

nav a:hover {
  text-decoration: none;
  color: #cd9042;
}

.header__optionBasket a:hover {
  color: #cd9042;
}

header .nav-btn {
  visibility: hidden;
  padding: 5px;
  cursor: pointer;
  background-color: transparent;
  border: none;
  outline: none;
  color: #fff;
  opacity: 0.5;
  font-size: 1.8rem;
}

.header__nav > span.header__optionLineOne {
  padding-top: 25px;
}

@media only screen and (max-width: 1024px) {
  header .nav-btn {
    visibility: visible;
    opacity: 1;
  }

  header nav {
    position: fixed;
    top: 0;
    left: 0;
    height: 100% !important;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--mainColor);
    transform: translateY(-100vh);
  }

  header .responsive_nav {
    text-align: center;
    transform: none;
    justify-content: center;
  }

  header .header__optionBasket {
    visibility: hidden;
  }

  header .header__optionLineOne {
    visibility: hidden;
  }

  header .header__optionLineTwo {
    font-size: 20px;
  }

  div .returns {
    margin-top: 0.4em;
  }

  header .header__search {
    visibility: hidden;
  }

  nav .nav-close-btn {
    position: absolute;
    top: 2rem;
    right: 2rem;
  }

  nav a {
    font-size: 1.5rem;
  }

  .Hresize {
    padding: 0 5%;
  }
}
